# Copyright (c) 2014  Dave Love, University of Liverpool
# Licence as for the package itself

Name:		cryptominisat2
Version:	2.9.9
Release:	1%{?dist}
Summary:	Parallel SAT solver
License:	LGPLv2
URL:		http://www.msoos.org/cryptominisat2/
Source0:	https://gforge.inria.fr/frs/download.php/file/33402/cmsat-%version.tar.gz
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
CryptoMiniSat is a SAT solver that aims to become a premier SAT solver
with all the features and speed of successful SAT solvers, such as
MiniSat and PrecoSat.  The long-term goals of CryptoMiniSat are to be
an efficient sequential, parallel and distributed solver.

CryptoMiniSat 2.5 won the sequential category of the SAT Race 2010.  A
variation of CryptoMiniSat 2.7.1 won a gold and a silver medal in the
parallel category of the 2011 SAT Competition.

This version has XOR support missing from version 3 and 4.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n cmsat-%version


%build
%configure --program-suffix=2
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_libdir/libcryptominisat.{la,a,so}
mv $RPM_BUILD_ROOT%_includedir/cmsat $RPM_BUILD_ROOT%_includedir/cmsat2


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README NEWS AUTHORS
%_libdir/libcryptominisat-%version.so
%_bindir/*
%_mandir/man1/*

%files devel
%_includedir/cmsat2


%changelog
* Mon Jul 14 2014 Dave Love <d.love@liverpool.ac.uk> - 2.9.9-1
- Initial packaging
